net.sourceforge.pmd

## Class ReadableDurationTest

- java.lang.Object
- - net.sourceforge.pmd.ReadableDurationTest

    public class ReadableDurationTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReadableDurationTest(String expected, Integer value)`

### Method Summary

Methods
`static Collection<Object[]>` `data()`
`static junit.framework.Test` `suite()`
`void` `test()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadableDurationTest

    public ReadableDurationTest(String expected,
                        Integer value)

### Method Detail

#### data

    public static Collection<Object[]> data()

#### test

    public void test()

#### suite

    public static junit.framework.Test suite()